Monarch Manager version 10 only works on the latest Macs. (latest Mac OSX versions). It will not work on Mac OSX lower than 10.6.8

Monarch Manager version 10v4 Upgrade

Monarch Manager version 9.45 is for older Macs that can't run the latest Mac OS. OSX 10.4.11 through 10.6.8 (older Macs)

 

If you need a Version 10 upgrade, please e-mail us to let us know and we will arrange upgrading your older Monarch Manager.

(site update: 1/2015)


Macintosh software for the Mary Kay® professional

Mary Kay is a registered trademark of Mary Kay Inc. AES, Inc. is not affiliated in any way with Mary Kay Inc.